<template>
  <VContainer>
    <VBreadcrumbs
      :items="crumb"
      class="crumb"
    >
      <template v-slot:divider>
        <VIcon>mdi-circle-medium</VIcon>
      </template>
    </VBreadcrumbs>

    <TimeCurso
      src="https://tecnoblog.net/wp-content/uploads/2019/01/g-suite-menor.jpg"
      title="G-Suite"
      time="10 min"
      :sub-title="[
        { text: 'TI' },
        { text: 'Vendas' },
        { text: 'Comunicação' },
      ]"
      :tags="['Humanas', 'Tecnologias']"
      :stars="[1, 1, 1, 2, 0]"
      :users-id="[1, 2, 3, 4, 5, 6, 7, 8, 9]"
      :progress="10"
      resume="texto resumido"
    />

    <VList class="py-0">
      <VListItem
        v-for="(m, i) in modulos"
        :key="`modulo-${i}`"
        class="pl-0"
        link
      >
        <img
          :src="m.src"
          class="pr-4"
          style="width: 88px; height: 88px"
        >

        <VListItemContent>
          <VListItemTitle v-text="m.title" />
          <VListItemSubtitle v-text="m.subTitle" />
        </VListItemContent>
        <VListItemAction
          class="d-flex align-center justify-center ma-0"
          style="width: 50px; height: 88px"
        >
          <VRadio
            hide-details
            disabled
          />
        </VListItemAction>
      </VListItem>
    </VList>
  </VContainer>
</template>

<script lang="ts">
import { Component, Vue } from 'nuxt-property-decorator';

@Component({
  components: {
    TimeCurso: () => import('@/components/core/time-curso.vue'),
  },
})
export default class Cursos extends Vue {
  crumb = [
    {
      text: 'Catálogo de curso',
    },
    {
      text: 'G-suite',
      disabled: true,
    },
  ]

  modulos = [
    {
      title: 'Introdução',
      subTitle: 'São apresentados conceitos básico e possibilidades das ferramentas',
      src: 'https://cdn.vuetifyjs.com/images/parallax/material2.jpg',
    },
    {
      title: 'Configurando sua conta Google',
      subTitle: 'São apresentados conceitos básico e possibilidades das ferramentas',
      src: 'https://cdn.vuetifyjs.com/images/parallax/material2.jpg',
    },
    {
      title: 'Configurando o Gmail',
      subTitle: 'São apresentados conceitos básico e possibilidades das ferramentas',
      src: 'https://cdn.vuetifyjs.com/images/parallax/material2.jpg',
    },
  ]
}
</script>

<style lang="stylus">
.crumb
  padding-left 16px !important
  li
    font-size 0.875rem

.horizontal-card
  display flex
  flex-direction row
  .v-image
    height 100% !important
    flex auto
    border-radius 3px 0 0 3px !important
  .v-card__text
    min-width 280px
</style>
